package vip.xiaonuo.warehouse.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 仓库原材料出库
 * </p>
 *
 * @author author
 * @since 2025-03-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("warehouse_material_out_stock")
public class WarehouseMaterialOutStock implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 原材料id
     */
    private String materialId;

    /**
     * 原材料名称
     */
    private String material;

    /**
     * 出库数量
     */
    private String outStock;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 组织id
     */
    private String orgId;

    /**
     * 公司名称
     */
    private String orgName;


}
